﻿@model  Select2GrupoEconomicoViewModel


<div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-lg-12")" style="@Model.margintopSel">
    <div id="@string.Concat(Model.idControleSelect2, "Container")" ></div>
</div>

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {

                    ajaxPostApiURL = '@Url.Content("~/api/Select2GrupoEconomico/ObterDescricoesGrupoEconomicoFat")';

                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMGRPEMPCLI";
                textoInicial = "Selecione um Grupo Econôm.";
                jsonTexto = "NOMGRPEMPCLI";
                jsonValor = "CODGRPEMPCLI";
                caracteresMinimos = 0;
                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
            }
            inicializar(null);
        }
    });

</script>
